Bug#900552: Bug #900552: Add privacy policy to the Debian website

2018-07-29 Thread Laura Arjona Reina
Hello The branch with the initial changes is merged now: https://salsa.debian.org/webmaster-team/webwml/commit/55af8afe52a525814c7803dbe7d67875846fe550 It will be visible in www.debian.org after the build in the next hours (it can take a while because many pages (all?) will be rebuilt due to the

Bug#904975: apticron: Document that correct listchanges.conf key is headers, not header

2018-07-29 Thread Bryan D. Thomas
Package: apticron Version: 1.2.0+nmu1 Severity: wishlist Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? * What exactly did you do (or not do) that was effective (or ineffective)? * What was the

Bug#904974: apt-listchanges: man page refers to "header" config key; should be "headers"

2018-07-29 Thread Bryan D. Thomas
Package: apt-listchanges Version: 3.16 Severity: minor Dear Maintainer, The man page confusingly refers to "header" config key, when the correct key is "headers". I noticed this because apticron package warned: apt-listchanges warning: Unknown configuration file option: header The change

Bug#903853: transition: removal of nepomuk support from src:kde4libs

2018-07-29 Thread Pino Toscano
In data sabato 28 luglio 2018 10:16:15 CEST, Emilio Pozuelo Monfort ha scritto: > Control: tags -1 confirmed > > On 15/07/18 22:33, Pino Toscano wrote: > > Package: release.debian.org > > Severity: normal > > User: release.debian@packages.debian.org > > Usertags: transition > > > > Hi, > >

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Tollef Fog Heen
]] Gunnar Wolf > ...Although if we make a policy change in this, it will require > cooperation of the dpkg developers if we don't want to go into 6.1.4 > (which we don't). No, it won't, it's a policy change on what's allowed in the archive, not what features dpkg is allowed to implement. I

Bug#904973: gdm3: crashes after every suspend cycle

2018-07-29 Thread Daniel Blaschke
Package: gdm3 Version: 3.22.3-3+deb9u1 Severity: important Dear Maintainer, gdm crashes every time the PC goes to sleep while a user is logged in, locking out every other user until I reboot. steps to reproduce (tested on an intel broadwell laptop as well as a core-2 due desktop with nvidia

Bug#903282: Bundling a potential 'home-end' debian package

2018-07-29 Thread Boruch Baum
ref: https://github.com/melpa/melpa/pull/5594 The method I used to re-write 'home-end' for MELPA was to first write a small generic el that handles an arbitrary number of responses for an arbitrary number of repeated key-presses for an arbitrary key (I'm calling it 'keypress-multi-event'),

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Gunnar Wolf
Sean Whitton dijo [Mon, Jul 30, 2018 at 12:01:35PM +0800]: > > ...Although if we make a policy change in this, it will require > > cooperation of the dpkg developers if we don't want to go into 6.1.4 > > (which we don't). > > Sorry, I don't follow. > > Surely policy can disallow things in

Bug#900604: Info received (Bug#900604: mirrors: Debian mirror mirror.units.it: out of date)

2018-07-29 Thread Peter Palfrader
On Fri, 08 Jun 2018, Daniele Albrizio wrote: > The mirror should ne OK andò updated since monday evening It doesn't appear to be ok: https://mirror-master.debian.org/status/mirror-info/mirror.units.it.html It hasn't written a tracefile in 2 weeks, suggesting something is going wrong. --

Bug#797133: Invalid read of size 4 (AddressSanitizer: heap-use-after-free)

2018-07-29 Thread Jörg Frings-Fürst
-BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Hello, no answer since 10 month. So I close this bug. CU Jörg - -- New: GPG Fingerprint: 63E0 075F C8D4 3ABB 35AB 30EE 09F8 9F3C 8CA1 D25D GPG key (long) : 09F89F3C8CA1D25D GPG Key: 8CA1D25D CAcert Key S/N : 0E:D4:56 Old pgp Key:

Bug#904968: sbuild: please add --no-source-only-changes option

2018-07-29 Thread Johannes Schauer
Hi, Quoting Sean Whitton (2018-07-30 05:58:47) > Please provide a command line option to override the sbuildrc > configuration key SOURCE_ONLY_CHANGES. I suggest > --no-source-only-changes. > > When dgit invokes sbuild it generates the _source.changes itself, and > needs to prevent sbuild from

Bug#900552: Bug #900552: Add privacy policy to the Debian website

2018-07-29 Thread Jonathan McDowell
On Sat, Jul 28, 2018 at 01:03:23AM +0200, Laura Arjona Reina wrote: > Sorry for the delay in dealing with this. > > I have created the merge request > > https://salsa.debian.org/webmaster-team/webwml/merge_requests/10 > > with what I think it's ready to be published: > > * The document

Bug#904972: vmdebootstrap going away in September, switch now

2018-07-29 Thread Lars Wirzenius
Package: autopkgtest Version: 5.4.2 On Sun, 2018-07-29 at 23:24 +0200, Michael Biebl wrote: > I notice that the autopkgtest man pages still reference vmdebootstrap, > specifically autopkgtest-virt-qemu.1: > > > BUILDING IMAGES > >Debian > >For Debian you can use vmdebootstrap(8) to

Bug#904971: galleta FTCBFS: upstream Makefile hard codes the build architecture compiler

2018-07-29 Thread Helmut Grohne
Source: galleta Version: 1.0+20040505-9 Tags: patch upstream User: helm...@debian.org Usertags: rebootstrap galleta fails to cross build from source, because the upstream Makefile hard codes the build architecture compiler. The attached patch makes the compiler substitutable and galleta cross

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Stuart Prescott
On Sunday, 29 July 2018 22:14:23 AEST Gunnar Wolf wrote: > Sean Whitton dijo [Mon, Jul 30, 2018 at 09:30:04AM +0800]: > > > I believe his request might also be considered under §6.1.1, since we're > > > being asked about a policy change. (After talking to Sean in person, he > > > said he intended

Bug#850156: Please firmly deprecate vendor-specific series files [and 1 more messages]

2018-07-29 Thread Guillem Jover
On Wed, 2018-04-18 at 09:15:25 -0700, Sean Whitton wrote: > On Wed, Apr 18 2018, Ian Jackson wrote: > > FAOD I feel very strongly about this. The bug is over a year old. > > Can the Policy Editors please tell me when it would be apprropiate to > > escalate this to the TC ? *Sigh* > Sorry, I

Bug#904970: apparmor: Setting up is broken after update

2018-07-29 Thread Frank McCormick
Package: apparmor Version: 2.13-5 Severity: normal Setting up apparmor (2.13-5) ... Installing new version of config file /etc/apparmor.d/abstractions/freedesktop.org ... Installing new version of config file /etc/apparmor.d/abstractions/kde ... Installing new version of config file

Bug#904969: dgit: should pass --no-source-only-changes to sbuild

2018-07-29 Thread Sean Whitton
Package: dgit Version: 6.2 Control: block -1 by 904968 James Clarke pointed out to me that the reasoning in #904862 applies just as well to sbuild's SOURCE_ONLY_CHANGES configuration key. dgit should pass --no-source-only-changes to sbuild, too. -- Sean Whitton signature.asc Description: PGP

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Sean Whitton
Hello, On Sun 29 Jul 2018 at 10:14PM -0500, Gunnar Wolf wrote: > Sean Whitton dijo [Mon, Jul 30, 2018 at 09:30:04AM +0800]: >> > I believe his request might also be considered under §6.1.1, since we're >> > being asked about a policy change. (After talking to Sean in person, he >> > said he

Bug#904967: linux-image-4.17.0-1-amd64: use-after-free in amdgpu

2018-07-29 Thread Alexis Hunt
Package: src:linux Version: 4.17.8-1 Severity: important Dear Maintainer, I am encountering system instability on my machine, that I believe is related to the amdgpu driver. I am running a Sapphire Radeon RX 580 Nitro +. I am not sure the root cause of the instability, however, I have

Bug#904968: sbuild: please add --no-source-only-changes option

2018-07-29 Thread Sean Whitton
Package: sbuild Version: 0.77.0-4 Tags: upstream X-debbugs-cc: ijack...@chiark.greenend.org.uk Dear maintainer, Please provide a command line option to override the sbuildrc configuration key SOURCE_ONLY_CHANGES. I suggest --no-source-only-changes. When dgit invokes sbuild it generates the

Bug#561804: ping on 561804

2018-07-29 Thread Dominik Szmek
Hi! The bug you opened five years ago it's probably not relevant anymore. Do you still experience it? If not, maybe you can close it or ask me to do it. If yes, current X and kernel logs could be useful. Thanks for reporting the bug, dominik

Bug#904966: dgit: should pass --no-source to sbuild

2018-07-29 Thread Sean Whitton
Package: dgit Version: 6.2 There is an option users can set in their .sbuildrc which causes sbuild to produce a .dsc and include it in the _amd64.changes, even when sbuild's input is a .dsc file. dgit already detects when this happens and errors out before merging the _source.changes and the

Bug#904965: python3-pyqt5: cannot build packages depending on python3-pyqt5 in Sid

2018-07-29 Thread Georges Khaznadar
Package: python3-pyqt5 Version: 5.11.2+dfsg-1 Severity: normal I am trying to fix a bug report for python3-expeyes (missing dependency), but the package cannot be built today with pbuilder and a Sid archive. The reason why python3-expeyes is no longer buildable in Sid is that python3-pyqt5 is no

Bug#904776: /usr/bin/dpkg-source: please parse d/t/control.autodep8 like d/t/control

2018-07-29 Thread Guillem Jover
Control: tags -1 moreinfo Hi! On Fri, 2018-07-27 at 22:04:24 +0200, Paul Gevers wrote: > Package: dpkg-dev > Version: 1.19.0.5 > Severity: normal > File: /usr/bin/dpkg-source > X-Debbugs-CC: debian...@lists.debian.org, python-co...@packages.debian.org > User: debian...@lists.debian.org >

Bug#904964: Useless in buster

2018-07-29 Thread David Prévot
Package: php-cli-prompt Version: 1.0.3+dfsg-1 Severity: serious [ RC-Bug filed by the maintainer in order to make sure the package gets removed from testing. ] php-cli-prompt was packaged as a composer dependency, but the last version (1.7, already in experimental, soon in unstable) doesn’t

Bug#904875: found a fix

2018-07-29 Thread Kamaraju Kusumanchi
The issue goes away if I use 179 version of syntax/sh.vim. Here is how I fixed it locally. mkdir -p ~/.vim/syntax cd ~/.vim/syntax wget http://www.drchip.org/astronaut/vim/syntax/sh.vim.gz gunzip sh.vim.gz Related discussion on vim mailing list:

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Gunnar Wolf
Sean Whitton dijo [Mon, Jul 30, 2018 at 09:30:04AM +0800]: > > I believe his request might also be considered under §6.1.1, since we're > > being asked about a policy change. (After talking to Sean in person, he > > said he intended it under §6.1.3, not §6.1.1, though.) > > I think technically

Bug#904878: devscripts: git-deborig should respect dgit.default.build-products-dir

2018-07-29 Thread Ian Jackson
Sean Whitton writes ("Re: Bug#904878: devscripts: git-deborig should respect dgit.default.build-products-dir"): > It increasingly seems like dgit's build_source() subroutine should check > for the .orig.tar in the build-products-dir, and if it is missing and > the build products dir is not '..',

Bug#904963: ITP: r-cran-extradistr -- additional univariate and multivariate distributions for GNU R

2018-07-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Owner: Andreas Tille * Package name: r-cran-extradistr Version : 1.8.9 Upstream Author : Tymoteusz Wolodzko * URL : https://cran.r-project.org/package=extraDistr * License : GPL-2 Programming Lang: GNU R Description :

Bug#904936: lintian: False positives for missing-depends-on-sensible-utils in locale .mo files

2018-07-29 Thread Guillem Jover
Hi! On Sun, 2018-07-29 at 19:43:21 +0200, Axel Beckert wrote: > Package: lintian > Version: 2.5.94 > Severity: normal > I think these (from a build of the just uploaded aptitude 0.8.11-1) are > false positives: > > E: aptitude-common: missing-depends-on-sensible-utils >

Bug#904878: devscripts: git-deborig should respect dgit.default.build-products-dir

2018-07-29 Thread Sean Whitton
Hello, On Mon 30 Jul 2018 at 09:46AM +0800, Sean Whitton wrote: > This seems like something quite safe for git-deborig to do: put it in > .., and if dgit.default.build-products-dir is configured, copy it to there. > > Another possibility is that if dgit can't find an .orig.tar in the build >

Bug#903934: regression: 3.16.57-2 fails to boot libvirt guests on Xeon E3-1225

2018-07-29 Thread Chenwqin
On Mon, 16 Jul 2018 21:57:19 +0100 =?ISO-8859-1?Q?Fran=E7ois?= Guerraz wrote: > Package: src:linux > Version: 3.16.57-2 > Severity: important > > > After upgrading linux-image-3.16.0-6-amd64 (3.16.57-2) over (3.16.56- > 1+deb8u1) on a VM host and its guests, the guests were not able to >

Bug#904962: antlr4: non-standard tarball repacking; please use copyright/Files-Excluded; redundant "debian/orig-tar.sh"

2018-07-29 Thread Dmitry Smirnov
Source: antlr4 Version: 4.6-1 Severity: minor antlr4 is not repacking its orig tarball according to Debian best practice. Recommended way to do that is through copyright/FilesExcluded header and "watch" file setting repacksuffix to indicate that tarball has been processed.

Bug#904868: Acknowledgement (Installation Report (Fail) : Debian 9.5 Install Fail)

2018-07-29 Thread Patrick Dunford
I did some more testing with the system and discovered it is an issue with it attempting to display the greeter on a display that is turned off. Not an issue with the installation system this time around. Thanks for your time. On 29/07/18 15:39, Debian Bug Tracking System wrote: Thank you

Bug#902798: antlr4: generated code depends on missing "antlr4-runtime.h"

2018-07-29 Thread Dmitry Smirnov
Package: antlr4 Version: 4.6-1 As of version 4.6, Cpp code generates successfully (thank you) yet it can not be used because of '#include "antlr4-runtime.h"' which is not provided by any package... "antlr4-runtime.h" is in the upstream tarball under "runtime/Cpp/runtime/src" however those

Bug#897739: close bug

2018-07-29 Thread Yanhao Mo
Control: close I believe this bug was fixed in newer version. -- Yanhao Mo signature.asc Description: PGP signature

Bug#904934: [debian-policy] Add footnote to find easily the corresponding days for the urgency field

2018-07-29 Thread Sean Whitton
control: tag -1 -patch +moreinfo Hello, On Sun 29 Jul 2018 at 07:35PM +0200, Agustin Henze wrote: > Hi, I've tried sending this change through salsa but it seems to be disabled > the option for merge requests. Yes, there is a process for changing Policy that usually involves discussion, so we

Bug#844125: Bug#904716: pbuilder: please add option to negate SOURCE_ONLY_CHANGES=yes

2018-07-29 Thread Sean Whitton
Hello, On Sun 29 Jul 2018 at 04:01PM +0200, Mattia Rizzolo wrote: > On Fri, Jul 27, 2018 at 01:52:35PM +0800, Sean Whitton wrote: >> Please provide a command line option to override the pbuilderc option >> SOURCE_ONLY_CHANGES=yes. I suggest --no-source-only-changes. > > Implemented in git.

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread Lisandro Damián Nicanor Pérez Meyer
El domingo, 29 de julio de 2018 22:45:38 -03 John David Anglin escribió: > On 2018-07-29 4:53 PM, Lisandro Damián Nicanor Pérez Meyer wrote: > > Looking again the call to llvm-config seems to not be fatal, so it should > > be as simple as doing something like it's already done in the dh_install >

Bug#904878: devscripts: git-deborig should respect dgit.default.build-products-dir

2018-07-29 Thread Sean Whitton
Hello, Thank you for your feedback. On Sun 29 Jul 2018 at 03:43PM +0200, Mattia Rizzolo wrote: > Would just using dgit.default.build-products-dir only too inconvenient? > I can't imagine many users using different directories for different > distributions (I do… but also different for each

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread John David Anglin
On 2018-07-29 4:53 PM, Lisandro Damián Nicanor Pérez Meyer wrote: Looking again the call to llvm-config seems to not be fatal, so it should be as simple as doing something like it's already done in the dh_install override for archs without qt webview. Yes.  I had a successful build on hppa

Bug#904961: libnewt0.52: Spanish translation of "Yes" button has invalid character

2018-07-29 Thread Nicolás Alvarez
Package: libnewt0.52 Version: 0.52.20-5 Severity: minor Tags: l10n Dear Maintainer, When running "whiptail --yesno" in es_AR.UTF-8 locale, the button is labeled instead of ('i' with acute accent). This even affects debian-installer. I thought it was a problem with the character encoding

Bug#904960: libvirglrenderer0: some documentation

2018-07-29 Thread Marcel Partap
Package: libvirglrenderer0 Version: 0.6.0-2 Severity: normal How can this be used? qemu-system-x86:amd64 2.12+dfsg-3 with `-vga virtio -display gtk,gl=on` or `-device virtio-gpu-pci,virgl -display gtk,gl=on` > qemu-system-x86_64: OpenGL support is disabled with `-vga virtio -display sdl,gl=on`

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Sean Whitton
Hello, On Sun 29 Jul 2018 at 07:52AM +0200, Tollef Fog Heen wrote: > I believe his request might also be considered under §6.1.1, since we're > being asked about a policy change. (After talking to Sean in person, he > said he intended it under §6.1.3, not §6.1.1, though.) I think technically

Bug#904959: greybird-gtk-theme: png files are symlinked to svg files

2018-07-29 Thread Jeremy Bicha
On Sun, Jul 29, 2018 at 9:18 PM Forest wrote: > Wile trying to figure out why selecting greybird-wall-1920x1200.png was > locking > up my background image picker for several seconds, I discovered that the file > is not actually a 1920x1200 image, nor even a png image at all, but a symlink > to

Bug#904959: greybird-gtk-theme: png files are symlinked to svg files

2018-07-29 Thread Forest
Package: greybird-gtk-theme Version: 3.22.8-1 Severity: minor Dear Maintainer, Wile trying to figure out why selecting greybird-wall-1920x1200.png was locking up my background image picker for several seconds, I discovered that the file is not actually a 1920x1200 image, nor even a png image at

Bug#904958: libssh: bad versioning

2018-07-29 Thread Dmitry Smirnov
Source: libssh Version: 0.8.0~20170825.94fa1e38-2 Severity: important Control: affects -1 mysql-workbench There are two problems with version of this package: 1) Debian version should have been 0.7.0+git20170825.94fa1e38 as the snapshot of the library appears to be ahead of 0.7.0 (yet behind

Bug#733304: wput package upgrade still crashes

2018-07-29 Thread Bernhard Übelacker
tags -1 = patch bye Hello, just tried to reproduce the issue. With the help of the message #42 and the debug symbols in Stretch and later in a Debian Stretch i386 VM I could reproduce the issue. I think it all boils down to: (gdb) bt #0 get_port_fmt (ip=16777343, port=44081) at utils.c:81

Bug#904957: emacs-lucid: trying to overwrite '/usr/share/emacs/25.2/etc/DOC', which is also in package emacs25-lucid 25.2+1-6+b3

2018-07-29 Thread Axel Beckert
Package: emacs-lucid Version: 1:25.2+1-8 Severity: serious Dear Maintainer, upgrading emacs25-lucid on armhf pulls in emacs-lucid, but that fails to install as follows: Preparing to unpack .../emacs-lucid_1%3a25.2+1-8_armhf.deb ... Unpacking emacs-lucid (1:25.2+1-8) ... dpkg: error processing

Bug#904529: closed by Adam Borowski (Re: Bug#904529: RFS: dtkcore/2.0.8-1)

2018-07-29 Thread Yanhao Mo
> Already done, for all Deepin packages. Got it ;) thanks for that. signature.asc Description: PGP signature

Bug#768319: #768319 mumudvb version

2018-07-29 Thread Brice Dubost
Hello Yes it makes sense but we need a new package maintainer Brice On Wed, Jul 4, 2018, 08:47 Uwe Kleine-König wrote: > Cc += people being listed on > https://salsa.debian.org/groups/vdr-team/-/group_members > > Hello, > > On Sat, May 06, 2017 at 03:57:01PM -0400, Brice Dubost wrote: > > Yes

Bug#896953: python-biom-format: autopkgtest fails with new version while succeeded in the past; autodep8 not ready yet

2018-07-29 Thread Matthias Klose
On 29.07.2018 18:33, Paul Gevers wrote: > Dear doko, > > On 28-07-18 04:54, Matthias Klose wrote: >> the command1 and command2 tests try to import the biom_format module, which >> doesn't exist. I assume the name is derived from the egg name, and thus the >> import fails. >> >> work around: >>

Bug#904956: linux-image-4.17.0-1-amd64: Long (2 minute) delay before kernel connects Logitech wireless keyboard/mouse

2018-07-29 Thread Frank McCormick
Package: src:linux Version: 4.17.8-1 Severity: important This is an extract from my systemd log after booting this kernel ul 29 12:04:42 franklin ntpd[652]: Soliciting pool server 158.69.125.231 Jul 29 12:04:42 franklin ntpd[652]: Soliciting pool server 67.215.197.149 Jul 29 12:04:43 franklin

Bug#897838: Pulseview GCC8 fix pending

2018-07-29 Thread Jonathan McDowell
Control: tags -1 + pending Control: block -1 by 897895 I've backported the upstream fix to 0.4.0 but the build still fails due to #897895 in libsigc++2.0. It's fixed upstream so once that hits unstable I can upload: https://github.com/libsigcplusplus/libsigcplusplus/issues/1 J. -- Life

Bug#904955: O: libbase58 -- library for Bitcoin's base58 encoding

2018-07-29 Thread Dmitry Smirnov
Package: wnpp Severity: normal Control: affects -1 libbase58 libbase58 needs new maintainer... signature.asc Description: This is a digitally signed message part.

Bug#798283: clvmd: stack smashing detected -- solved

2018-07-29 Thread Bernhard Übelacker
Hello, just looking at some stack smashing errors and got onto this one here. Unfortunately Jessie did not have the dbgsym packages so I cannot get any clue of the given stack. Was or is this still an issue for Stretch or testing? Also it looks like this daemon got removed last month from

Bug#903931: Maybe trailing garbage or data in an unsupported format is causing the problem?

2018-07-29 Thread Antonio Diaz Diaz
Note in the code below that by using a multi-format zcat, other data not in one of the formats supported by the zcat used may be no longer ignored but passed to cpio (possibly compressed), which may be the cause of the problem. Using the compressors directly to test the format (without *zcat

Bug#904954: emacs: uninstallable in sid

2018-07-29 Thread David Bremner
Package: emacs Version: 1:25.2+1-8 Severity: serious Justification: uninstallable -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 Hi Rob; emacs depends transitively on emacsen-common >= 3.0.0, which is unavailable in sid, afaict. - -- System Information: Debian Release: buster/sid APT

Bug#882581: libidn2: debian/upstream/signing-key.asc is 15M and contains unrelated public keys

2018-07-29 Thread Bernhard Schmidt
Control: forwarded -1 https://salsa.debian.org/debian/libidn2/merge_requests/1 Control: tags -1 patch On Fri, Nov 24, 2017 at 10:08:41AM +0100, Tim Rühsen wrote: > On 11/24/2017 09:40 AM, Simon McVittie wrote: > > Source: libidn2 > > Version: 2.0.4-1.1 > > Severity: normal > > > > libidn2

Bug#819487: yabause: stack smashed

2018-07-29 Thread Bernhard Übelacker
Hello Richard Jasmin, can you still reproduce this issue or can this bug be closed? Could you tell if you use Gtk or Qt version? Or with which game this happens at which state? Kind regards, Bernhard

Bug#824390: Bug solved after upgrade

2018-07-29 Thread Bernhard Übelacker
Hello Riccardo Lancellotti, > It looks like the problem was related to some incompatibility issue > with a previous version of some library (libecal-1.2 is my guess). Then was it solved by any update to libecal-1.2, or at least is it still an issue or should this bug be closed? Kind regards,

Bug#904953: funguloids: Updated mpak.py

2018-07-29 Thread Markus Koschany
Source: funguloids Version: 1.06-13 Severity: wishlist For reference: Hans de Goede submitted an updated mpak.py file to our debian-devel-games mailing list. This might become RC if funguloids starts to FTBFS on Debian too. https://lists.debian.org/debian-devel-games/2018/07/msg00031.html

Bug#615646: [installation-guide] How do I know which CD has the package I need?

2018-07-29 Thread Rick Thomas
On Jul 28, 2018, at 10:50 PM, Holger Wansing wrote: > +Also, keep in mind: if the CDs/DVDs you are using don't contain some packages > +you need, you can always install that packages afterwards from your running > +new Debian system (after the installation has finished). If you need to know, >

Bug#904588: supercollider: Stretch i386 Supercollider fails with segmentation fault

2018-07-29 Thread Bernhard Übelacker
Hallo Knut, there is still the shadow that this issue might be first sent to the people from BunsenLabs. Nevertheless from looking at the stack it looks like a Qt5 application but we end up here in some Gtk 2 libraries ... Does this also happen with a new second user at this system? Also the

Bug#904952: RFP: openmvs -- open Multi-View Stereo reconstruction library

2018-07-29 Thread Yuri D'Elia
Package: wnpp Severity: wishlist * Package name: openmvs Version : 0.8 Upstream Author : OpenMVS authors * URL : https://cdcseacave.github.io/openMVS/ * License : AGPL3+ Programming Lang: C++ Description : open Multi-View Stereo reconstruction library

Bug#900025: /usr/lib/x86_64-linux-gnu/libm.so: invalid ELF header

2018-07-29 Thread Brian Potkin
tags 900025 moreinfo thanks Thank you for your report, Cristian. On Thu 24 May 2018 at 21:12:47 +0200, Cristian Ionescu-Idbohrn wrote: > Package: libc6-dev > Version: 2.27-3 > Severity: normal > > Not sure if this should be filed against simple-scan. In that case > feel free to reassign. >

Bug#904302: Whether vendor-specific patch series should be permitted in the archive

2018-07-29 Thread Raphael Hertzog
Hi, On Sat, 28 Jul 2018, Colin Watson wrote: > > Debian should not seek to prevent maintainers doing something that > > they have agreed to do in collaboration with downstreams. > > My memory of the origin of this feature is that the dpkg developer who > originated it asked me if it might help

Bug#904918: man: clarify KillUserProcesses default configuration for Debian

2018-07-29 Thread Michael Biebl
Control: forcemerge 827159 904918 Hi Am 29.07.2018 um 15:55 schrieb Michael Prokop: > Package: systemd > Version: 239-7 > Severity: minor > > Hi, > > quoting from systemd-run(1): > > | If KillUserProcesses=yes is configured in logind.conf(5), the default, > | the session scope will be

Bug#874973: [kprinter4] Future Qt4 removal from Buster

2018-07-29 Thread Michael Weghorn
Hi, On 2018-07-29 10:55, Boyuan Yang wrote: > [...] > It seems that kprinter4 has stopped development since 2014 and there's no > sign > of porting to Qt5. I'm wondering if you will pick up this software and port > it > to Qt5 or if there's already a Qt5 counterpart around. If none of those

Bug#904951: squirrelmail: Can't read email with empty subject

2018-07-29 Thread Ralf G. R. Bergs
Package: squirrelmail Version: 2:1.4.23~svn20120406-2+deb8u2 Severity: normal Dear Maintainer, a message which I recently received had an empty subject. I couldn't open this message in SquirrelMail as it doesn't render a link to the message in the web interface in such cases. Can I suggest to

Bug#904199: stretch-pu: package clamav/ 0.100.0+dfsg-0+deb9u2

2018-07-29 Thread Adam D. Barratt
On Sat, 2018-07-28 at 10:48 +0200, Sebastian Andrzej Siewior wrote: > On 2018-07-28 09:24:28 [+0100], Adam D. Barratt wrote: > > Was the intent that the package would be pushed via -updates? > > Yes, please. If you need additinal information I can provide then on > Sunday evening. My weekend's

Bug#904950: libreoffice: lost ability to remove single files from Recent Files dialog

2018-07-29 Thread Jape Person
Package: libreoffice Version: 1:6.1.0~rc2-3 Severity: normal Dear Maintainer, In previous recent versions of Libreoffice, placing mouse cursor over a thumbnail in the Recent Files dialog would cause an "X" to appear in the upper right corner of the thumbnail. Clicking on this "X" would delete

Bug#896171: parted wrongly identifies partition table as Atari: also version 3.2-21

2018-07-29 Thread Bouke Tuinstra
Hi Manu,Here is de MBR and de sda-pt.sf file, as you requested. Please let me know if there is anything else I can do to help.Best regards,Bouke pc6.mbr Description: Binary data sda-pt.sf Description: Binary data Original Message Subject: Re: parted wrongly identifies

Bug#863926: fxt: FTBFS: Test failures

2018-07-29 Thread Bernhard Übelacker
Hello, I tried to reproduce the issue. The original logfile showed this part: ending up *** stack smashing detected ***: /<>/tools/.libs/test terminated === Backtrace: = /lib/i386-linux-gnu/libc.so.6(+0x6737a)[0xf757e37a]

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread Lisandro Damián Nicanor Pérez Meyer
El domingo, 29 de julio de 2018 14:11:41 -03 Lisandro Damián Nicanor Pérez Meyer escribió: > Hi Dave! > > El domingo, 29 de julio de 2018 11:46:32 -03 John David Anglin escribió: > > Here is log for an attempted build on hppa with Adrian's patch: > >

Bug#904948: kate is not installable

2018-07-29 Thread Nicolas Patrois
Package: kate Version: kate Severity: normal Dear Maintainer, kate is not installable, as many other KDE packages (calibre convertall gwenview hplip-gui k3b k4dirstat konqueror konsole krename kstars kubrick okular pyzo qarte soundkonverter spyder systemsettings). Here is the interesting part

Bug#904947: RFS: xwrited/3-1

2018-07-29 Thread Thomas Koch
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for an update to my package "xwrited": https://tracker.debian.org/pkg/xwrited https://salsa.debian.org/debian/xwrited To access further information about this package, please visit the following URL:

Bug#904946: gmsh: OpenCASCADE gone

2018-07-29 Thread Andreas Kloeckner
Package: gmsh Version: 3.0.6+dfsg1-3 Severity: normal Dear Maintainer, After upgrading to this latest version of gmsh, I noticed that support for OpenCASCADE appears to no longer be present. I saw in the changelog that there has been a recent change in that regard: * [8eba763] Switch

Bug#904945: compiz-gnome should not depend on python3-gi

2018-07-29 Thread Elrond
Package: compiz-gnome Version: 1:0.9.13.1+18.04.20180302-1 compiz-gnome currently depends on python3-gi. But the whole binary package doesn't seem to have anything in it, that looks like python: unpacked$ find . -iname '*.py' unpacked$ grep -ril python .

Bug#898202: RFP: mp3gain -- Lossless mp3 normalizer

2018-07-29 Thread Scott Hardin
Hello, Wow, I remember using mp3gain way back when! Can't believe it's actually still around. I will take a stab at packaging this. Thanks, Scott

Bug#903163: ITP: gpg-encrypted-root -- Encrypt root volumes with an OpenPGP smartcard

2018-07-29 Thread Guilhem Moulin
Hi, On Sat, 07 Jul 2018 at 17:08:59 +0200, Guilhem Moulin wrote: > On Sat, 07 Jul 2018 at 12:05:13 +0100, Chris Lamb wrote: >> Programming Lang: Shell >> Description : Encrypt root volumes with an OpenPGP smartcard > > See also #888916 (we didn't find time to review Rian's code yet, >

Bug#785651: glibc: test run times out on ci.debian.net; maybe don't force a build every time

2018-07-29 Thread Paul Gevers
Hi Florian, On 29-07-18 13:26, Florian Weimer wrote: > I'm not sure why it is necessary to build glibc three times (unless > it's impossible to get multi-arch packages into the buildroot). I am not sure if I understand what you mean, but currently having multiple arches available in the

Bug#904944: joblib/0.12.1-1 appears to break dask.distributed/1.21.8+ds.1-1 autopkgtest: __init__() missing 1 required positional argument: 'pickle_cache'

2018-07-29 Thread Paul Gevers
Source: joblib, dask.distributed Version: joblib/0.12.1-1 Version: dask.distributed/1.21.8+ds.1-1 X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: breaks needs-update Dear maintainers, With a recent upload of joblib the autopkgtest of dask.distributed started

Bug#904942: libpqxx/6.2.4-1 breaks sqlsmith: error while loading shared libraries: libpqxx-6.1.so

2018-07-29 Thread Christoph Berg
Re: Paul Gevers 2018-07-29 > Looking at the error log, the changelog and your updated lintian > override, it seems that this library requires all reverse dependencies > to be rebuild. But because you don't follow traditional Debian library > practices of doing transitions, the Debian archive

Bug#904943: ITP: utfcheck -- check validity of UTF-8 and ASCII files

2018-07-29 Thread Paul Hardy
Package: wnpp Severity: wishlist Owner: "Paul Hardy" Version: 1.0 Upstream Author: Paul Hardy URL: http://unifoundry.com/utfcheck License: GPL 2+ Programming Language: flex Description: check validity of UTF-8 and ASCII files The utfcheck program examines a text file and prints a summary of what

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread John Paul Adrian Glaubitz
On 07/29/2018 09:12 PM, Lisandro Damián Nicanor Pérez Meyer wrote: > Interesting, I have always used them inside the binary itself[1]. > > [1] > > But thanks to your comment I noted that indeed one can keep the resource file > out of

Bug#904941: Duplication of 904708

2018-07-29 Thread Sergey Alyoshin
Sorry, this bug report (904941) is duplication of 904708 and can be safely removed.

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread John David Anglin
On 2018-07-29 2:39 PM, John Paul Adrian Glaubitz wrote: I have my doubts that it's actually not possible to separate the QDoc building from compiling the actual C++ code. It appears to me from the build log that the install needs to be modified when qdoc isn't built. It seems unlikely that it

Bug#904942: libpqxx/6.2.4-1 breaks sqlsmith: error while loading shared libraries: libpqxx-6.1.so

2018-07-29 Thread Paul Gevers
Source: libpqxx Version: 6.2.4-1 Severity: serious X-Debbugs-CC: debian...@lists.debian.org, sqlsm...@packages.debian.org User: debian...@lists.debian.org Usertags: breaks Control: affects -1 src:sqlsmith Dear Marcin, With a recent upload of libpqxx the autopkgtest of sqlsmith started to fail in

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread Lisandro Damián Nicanor Pérez Meyer
El domingo, 29 de julio de 2018 15:39:51 -03 John Paul Adrian Glaubitz escribió: > On 07/29/2018 07:11 PM, Lisandro Damián Nicanor Pérez Meyer wrote: > > Adrian: I have just remembered that there is actually a case in which > > building documentation can be rightfully in a binary build: when it's

Bug#904926: [pkg-cryptsetup-devel] Bug#904926: cryptroot-unlock: timeout waiting for askpass

2018-07-29 Thread Guilhem Moulin
On Mon, 30 Jul 2018 at 02:47:39 +0800, Guilhem Moulin wrote: > On Sun, 29 Jul 2018 at 20:28:02 +0200, C. Dominik Bódi wrote: >> Am Sonntag, 29. Juli 2018, 18:46:20 CEST schrieb Guilhem Moulin: >>> readlink -f /lib/cryptsetup/askpass >> readlink returns: >> /lib/cryptsetup/askpass > > Hmm. In the

Bug#904941: Updated Russian debconf translation

2018-07-29 Thread Sergey Alyoshin
Package: ledgersmb Version: 1.5.21+ds-1 Priority: wishlist Tags: l10n patch # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER # This file is distributed under the same license as the ledgersmb package. # # Yuri Kozlov , 2012. msgid "" msgstr "" "Project-Id-Version: ledgersmb 1.5.21+ds-1\n"

Bug#904926: cryptroot-unlock: timeout waiting for askpass

2018-07-29 Thread Guilhem Moulin
On Sun, 29 Jul 2018 at 20:28:02 +0200, C. Dominik Bódi wrote: > Am Sonntag, 29. Juli 2018, 18:46:20 CEST schrieb Guilhem Moulin: >> readlink -f /lib/cryptsetup/askpass > readlink returns: > /lib/cryptsetup/askpass Hmm. In the initramfs too? No need to reboot to the broken initrd to test it out,

Bug#615646: [installation-guide] How do I know which CD has the package I need?

2018-07-29 Thread Nicholas D Steeves
On Sun, Jul 29, 2018 at 11:59:34AM +0200, Wouter Verhelst wrote: > On Sun, Jul 29, 2018 at 07:50:18AM +0200, Holger Wansing wrote: > > +Also, keep in mind: if the CDs/DVDs you are using don't contain some > > packages > > +you need, you can always install that packages afterwards from your

Bug#904688: qttools-opensource-src: FTBFS: please drop the libclang-dev B-D on some architectures

2018-07-29 Thread John Paul Adrian Glaubitz
On 07/29/2018 07:11 PM, Lisandro Damián Nicanor Pérez Meyer wrote: > Adrian: I have just remembered that there is actually a case in which > building > documentation can be rightfully in a binary build: when it's embedded in the > application itself by using Qt's resources system. That's

Bug#904940: ITP: fparserc++ -- Function Parser for C++

2018-07-29 Thread Ruben Undheim
Package: wnpp Owner: Ruben Undheim Severity: wishlist * Package name: fparserc++ (upstream name: fparser) Version : 4.5.2 Upstream Author : Juha Nieminen, Joel Yliluoma * URL : http://warp.povusers.org/FunctionParser/fparser.html * License : LGPL-3

Bug#904779: openmpi-bin: any program hangs on first MPI call (e.g. MPI_Init())

2018-07-29 Thread Giacomo Mulas
Do you have both mpich and openmpi installed ? yes can you give the results of "dpkg -l | grep mpich " and ditto for openmpi? root@capitanata:~# dpkg -l | grep mpich ii libmpich-dev:amd64 3.3~b2-7+b1

Bug#904926: cryptroot-unlock: timeout waiting for askpass

2018-07-29 Thread C . Dominik Bódi
Am Sonntag, 29. Juli 2018, 18:46:20 CEST schrieb Guilhem Moulin: > readlink -f /lib/cryptsetup/askpass readlink returns: /lib/cryptsetup/askpass Regards, C. Dominik Bódi signature.asc Description: This is a digitally signed message part.

Bug#904939: devscripts-el: transitional package pulls in wrong package (elpa-debian-el instead of elpa-devscripts-el)

2018-07-29 Thread Axel Beckert
Package: devscripts-el Version: 40.0 Severity: serious Hi, this looks like a copy & paste error to me: Package: devscripts-el Depends: elpa-debian-el Shouldn't devscripts-el pull in elpa-devscripts-el? -- System Information: Debian Release: buster/sid APT prefers unstable APT policy:

  1   2   3   >